%define pversion 1.12

%define lib_major	0
%define lib_name_devel	%mklibname -d editline
%define lib_name	%mklibname editline %lib_major

Summary:	Line editing library similar to readline
Name:		editline
Version:	%{pversion}
Release:	%mkrel 16
Epoch:		0
License:	BSD-style
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-build.patch
BuildRequires:	libtermcap-devel
BuildRequires:  libtool
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Line editing library similar to readline.

%package -n %{lib_name}
Summary: Shared libraries for %{name}
Group: System/Libraries
Provides: %{name} = %{epoch}:%{version}-%{release}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked to %{name}.

%package -n %{lib_name_devel}
Summary: Files for developing programs that use the %{name} library
Group: Development/C
Requires: %{lib_name} = %{epoch}:%{version}-%{release}
Provides: lib%{name}-devel = %{epoch}:%{version}-%{release}
Provides: %{name}-devel = %{epoch}:%{version}-%{release}
Provides: %{lib_name}-devel = %{epoch}:%{version}-%{release}
Obsoletes: %{lib_name}-devel

%description -n %{lib_name_devel}
Line editing library similar to readline.

%prep
%setup -q
%patch0 -p1

%build
%make CC="gcc $RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}
install -m 644 .libs/lib%{name}.a $RPM_BUILD_ROOT%{_libdir}
install -m 755 .libs/lib%{name}.so.0.0.0 $RPM_BUILD_ROOT%{_libdir}
(cd $RPM_BUILD_ROOT%{_libdir}; \
ln -sf lib%{name}.so.0.0.0 lib%{name}.so; \
ln -sf lib%{name}.so.0.0.0 lib%{name}.so.0)
install -d -m 755 $RPM_BUILD_ROOT%{_includedir}
install -m 644 include_editline.h $RPM_BUILD_ROOT%{_includedir}/editline.h
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man3
install -m 644 %{name}.3 $RPM_BUILD_ROOT%{_mandir}//man3
chmod 644 MANIFEST README

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %{lib_name} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{lib_name} -p /sbin/ldconfig
%endif

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files -n %{lib_name_devel}
%defattr(-,root,root)
%doc MANIFEST README
%{_includedir}/*.h
%{_mandir}/man*/*
%{_libdir}/lib*.a
%{_libdir}/lib*.so


%changelog
* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 0:1.12-16mdv2011.0
+ Revision: 664121
- mass rebuild

* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0:1.12-15mdv2011.0
+ Revision: 605096
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0:1.12-14mdv2010.1
+ Revision: 521118
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0:1.12-13mdv2010.0
+ Revision: 424377
- rebuild

* Tue Apr 07 2009 Funda Wang <fwang@mandriva.org> 0:1.12-12mdv2009.1
+ Revision: 364882
- fix build on libtool

* Mon Sep 01 2008 Oden Eriksson <oeriksson@mandriva.com> 0:1.12-12mdv2009.0
+ Revision: 278371
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0:1.12-11mdv2009.0
+ Revision: 220717
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Thierry Vignaud <tv@mandriva.org> 0:1.12-10mdv2008.1
+ Revision: 134668
- rebuild since packages are missing on ia32
- kill re-definition of %%buildroot on Pixel's request

* Mon Oct 01 2007 Oden Eriksson <oeriksson@mandriva.com> 0:1.12-9mdv2008.0
+ Revision: 94142
- rebuilt due to missing packages

* Wed Aug 29 2007 Oden Eriksson <oeriksson@mandriva.com> 0:1.12-8mdv2008.0
+ Revision: 73365
- release bump

* Tue Aug 28 2007 Oden Eriksson <oeriksson@mandriva.com> 0:1.12-7mdv2008.0
+ Revision: 72836
- fix deps

* Tue Aug 21 2007 Olivier Thauvin <nanardon@mandriva.org> 0:1.12-6mdv2008.0
+ Revision: 68485
- fix names
- rebuild


* Sat Aug 05 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/05/06 15:30:56 (53305)
- rebuild

* Sat Aug 05 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/05/06 15:27:04 (53300)
Import editline

* Wed Apr 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.12-4mdk
- Fix BuildRequires

* Sat Mar 04 2006 Olivier Thauvin <nanardon@mandriva.org> 0:1.12-3mdk
- rebuild

* Sun Feb 29 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0:1.12-2mdk
- fix man location

* Wed Jan 21 2004 David Walluck <walluck@linux-mandrake.com> 0:1.12-1mdk
- release

